Bug 415130 - Lock and login screens: entering incorrect password or moving focus away breaks using return/enter key to submit password
Summary: Lock and login screens: entering incorrect password or moving focus away brea...
Status: RESOLVED FIXED
Alias: None
Product: neon
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: VHI normal
Target Milestone: ---
Assignee: Bhushan Shah
URL:
Keywords: regression, usability
: 414875 414926 415098 415197 415204 415226 415328 415361 416373 417482 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-12-13 10:35 UTC by Alexander
Modified: 2020-02-26 12:30 UTC (History)
26 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander 2019-12-13 10:35:09 UTC
SUMMARY
This happens on the login screen (sorry if I posted this to the wrong Product/Component, I'm new here...) 

I've got a fairly long and complicated password that I enter incorrectly quite often. Before this bug it was possible to just retype the password and hit enter to try again, but now it's like it doesn't register at all. I have to click the right-arrow button next to the password field. 

STEPS TO REPRODUCE
1. Type incorrect password in the password field and submit by pressing Enter
2. I get an indication that my password was wrong. 
3. Type correct password and press Enter
4. Nothing happens

OBSERVED RESULT
I get no feedback indicating whether or not I've entered the correct password. It's like I didn't press Enter at all. Pressing the right-arrow button to the right of the password field logs me in. 

EXPECTED RESULT
I get logged in if I typed the correct password. If not, I should get an indication that the password is incorrect. 

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: KDE neon 5.17
KDE Plasma Version: 5.17.4
KDE Frameworks Version: 5.64.0
Qt Version: 5.13.2

ADDITIONAL INFORMATION
Started happening fairly recently (maybe within a week, I don't update too often)
Comment 1 Nate Graham 2019-12-13 11:02:28 UTC

*** This bug has been marked as a duplicate of bug 415098 ***
Comment 2 Nate Graham 2019-12-15 16:04:18 UTC
*** Bug 415197 has been marked as a duplicate of this bug. ***
Comment 3 Nate Graham 2019-12-15 16:04:20 UTC
*** Bug 415204 has been marked as a duplicate of this bug. ***
Comment 4 Nate Graham 2019-12-15 16:10:24 UTC
Anyone who can reproduce this issue: can you please run and paste the full output of `apt-cache show plasma-workspace`?
Comment 5 manuelchaves 2019-12-15 16:34:45 UTC
Package: plasma-workspace
Priority: optional
Section: kde
Installed-Size: 27695
Maintainer: Neon CI <neon@kde.org>
Architecture: amd64
Version: 4:5.17.4-0xneon+18.04+bionic+build53
Replaces: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210), klipper, plasma-desktop (<< 4:5.16.5+p18.04+git20190920.1201~), plasma-desktop-data (<< 4:5.14.80), plasma-workspace-data
Provides: notification-daemon
Depends: appmenu-gtk2-module, appmenu-gtk3-module, dbus-x11, drkonqi, frameworkintegration, gdb-minimal | gdb, iso-codes, kactivitymanagerd, kde-cli-tools, kded5, kinit, kio, kwin-common, libkf5globalaccel-bin (>= 5.7.0), libkf5service-bin, milou, plasma-framework, plasma-integration, qdbus-qt5, qml-module-org-kde-draganddrop, qml-module-org-kde-extensionplugin, qml-module-org-kde-kcm, qml-module-org-kde-kcoreaddons, qml-module-org-kde-kholidays, qml-module-org-kde-kirigami2 (>= 5.54.0~), qml-module-org-kde-kquickcontrols, qml-module-org-kde-kquickcontrolsaddons, qml-module-org-kde-kwindowsystem, qml-module-org-kde-qqc2desktopstyle, qml-module-org-kde-solid, qml-module-qt-labs-folderlistmodel, qml-module-qtgraphicaleffects, qml-module-qtqml-models2, qml-module-qtquick-controls, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick-window2, qml-module-qtquick2, qtvirtualkeyboard-plugin, udisks2, x11-utils, x11-xserver-utils, xdg-desktop-portal-kde, libappstreamqt2, libc6 (>= 2.15), libcolorcorrect5, libgcc1 (>= 1:3.0), libgps23 (>= 3.3), libice6 (>= 1:1.0.0), libkf5activities5, libkf5activitiesstats1, libkf5authcore5, libkf5baloo5, libkf5bookmarks5, libkf5calendarevents5, libkf5completion5, libkf5configcore5, libkf5configgui5, libkf5configwidgets5, libkf5coreaddons5, libkf5crash5, libkf5dbusaddons5, libkf5declarative5, libkf5globalaccel5, libkf5guiaddons5, libkf5holidays5, libkf5i18n5, libkf5iconthemes5, libkf5idletime5, libkf5itemmodels5, libkf5jobwidgets5, libkf5kdelibs4support5, libkf5kiocore5, libkf5kiofilewidgets5, libkf5kiogui5, libkf5kiowidgets5, libkf5networkmanagerqt6, libkf5newstuff5, libkf5notifications5, libkf5notifyconfig5, libkf5package5, libkf5people5, libkf5peoplewidgets5, libkf5plasma5, libkf5plasmaquick5, libkf5prison5, libkf5quickaddons5, libkf5runner5, libkf5service5, libkf5solid5, libkf5texteditor5, libkf5textwidgets5, libkf5wallet5, libkf5waylandclient5, libkf5widgetsaddons5, libkf5windowsystem5, libkf5xmlgui5, libkscreenlocker5, libksgrd7, libkworkspace5-5, libnotificationmanager1, libphonon4qt5-4, libplasma-geolocation-interface5, libprocesscore7, libprocessui7, libqalculate14, libqt5core5a (>= 5.13.2+dfsg), libqt5dbus5 (>= 5.13.2+dfsg), libqt5gui5 (>= 5.13.2+dfsg), libqt5network5 (>= 5.13.2+dfsg), libqt5qml5 (>= 5.13.2), libqt5quick5 (>= 5.13.2), libqt5sql5 (>= 5.13.2+dfsg), libqt5widgets5 (>= 5.13.2+dfsg), libqt5x11extras5, libqt5xml5 (>= 5.13.2+dfsg), libsm6, libstdc++6 (>= 5.2), libtaskmanager6, libweather-ion7, libx11-6, libxcb-composite0, libxcb-damage0, libxcb-image0 (>= 0.2), libxcb-randr0, libxcb-shape0, libxcb-util1 (>= 0.4.0), libxcb1 (>= 1.6), libxfixes3, libxrender1, libxtst6, zlib1g (>= 1:1.1.4)
Recommends: kio-extras, libpam-kwallet5, plasma-workspace-wallpapers
Conflicts: kde-workspace, kde-workspace-data, klipper
Breaks: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kde-window-manager (<= 4:5), kdeartwork-style (<= 4:5), kdeartwork-theme-window (<= 4:5), kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210), kscreensaver (<= 4:5), kscreensaver-xsavers (<= 4:5), kscreensaver-xsavers-webcollage (<= 4:5), plasma-desktop (<< 4:5.16.5+p18.04+git20190920.1201~), plasma-desktop-data (<< 4:5.14.80), plasma-desktopthemes-artwork (<= 4:5)
Filename: pool/main/p/plasma-workspace/plasma-workspace_5.17.4-0xneon+18.04+bionic+build53_amd64.deb
Size: 5650992
MD5sum: 5797a51ee31898a8af5a460ae1dc3e07
SHA1: 2475dd1498bdaea93a4c89fb6c02470a1ea9834b
SHA256: 158f1ec641904f1b2f04110315923d44b6adb349c05e97422493882d4588438c
SHA512: e23901439d26392bba84d867c14a27ced1438674cbfb1978c6fdfacea2f54ce07d9f2a80f38a0b5406570ea1ba4929022e75fa6ac44703f5d7b70af9e2bc0bd6
Description: Plasma Workspace for KF5
Description-md5: 0063778217dbe82d403158adbf5aa085
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace

Package: plasma-workspace
Priority: optional
Section: kde
Installed-Size: 27687
Maintainer: Neon CI <neon@kde.org>
Architecture: amd64
Version: 4:5.17.3-0xneon+18.04+bionic+build52
Replaces: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210), klipper, plasma-desktop (<< 4:5.16.5+p18.04+git20190920.1201~), plasma-desktop-data (<< 4:5.14.80), plasma-workspace-data
Provides: notification-daemon
Depends: appmenu-gtk2-module, appmenu-gtk3-module, dbus-x11, drkonqi, frameworkintegration, gdb-minimal | gdb, iso-codes, kactivitymanagerd, kde-cli-tools, kded5, kinit, kio, kwin-common, libkf5globalaccel-bin (>= 5.7.0), libkf5service-bin, milou, plasma-framework, plasma-integration, qdbus-qt5, qml-module-org-kde-draganddrop, qml-module-org-kde-extensionplugin, qml-module-org-kde-kcm, qml-module-org-kde-kcoreaddons, qml-module-org-kde-kholidays, qml-module-org-kde-kirigami2 (>= 5.54.0~), qml-module-org-kde-kquickcontrols, qml-module-org-kde-kquickcontrolsaddons, qml-module-org-kde-kwindowsystem, qml-module-org-kde-qqc2desktopstyle, qml-module-org-kde-solid, qml-module-qt-labs-folderlistmodel, qml-module-qtgraphicaleffects, qml-module-qtqml-models2, qml-module-qtquick-controls, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick-window2, qml-module-qtquick2, qtvirtualkeyboard-plugin, udisks2, x11-utils, x11-xserver-utils, xdg-desktop-portal-kde, libappstreamqt2, libc6 (>= 2.15), libcolorcorrect5, libgcc1 (>= 1:3.0), libgps23 (>= 3.3), libice6 (>= 1:1.0.0), libkf5activities5, libkf5activitiesstats1, libkf5authcore5, libkf5baloo5, libkf5bookmarks5, libkf5calendarevents5, libkf5completion5, libkf5configcore5, libkf5configgui5, libkf5configwidgets5, libkf5coreaddons5, libkf5crash5, libkf5dbusaddons5, libkf5declarative5, libkf5globalaccel5, libkf5guiaddons5, libkf5holidays5, libkf5i18n5, libkf5iconthemes5, libkf5idletime5, libkf5itemmodels5, libkf5jobwidgets5, libkf5kdelibs4support5, libkf5kiocore5, libkf5kiofilewidgets5, libkf5kiogui5, libkf5kiowidgets5, libkf5networkmanagerqt6, libkf5newstuff5, libkf5notifications5, libkf5notifyconfig5, libkf5package5, libkf5people5, libkf5peoplewidgets5, libkf5plasma5, libkf5plasmaquick5, libkf5prison5, libkf5quickaddons5, libkf5runner5, libkf5service5, libkf5solid5, libkf5texteditor5, libkf5textwidgets5, libkf5wallet5, libkf5waylandclient5, libkf5widgetsaddons5, libkf5windowsystem5, libkf5xmlgui5, libkscreenlocker5, libksgrd7, libkworkspace5-5, libnotificationmanager1, libphonon4qt5-4, libplasma-geolocation-interface5, libprocesscore7, libprocessui7, libqalculate14, libqt5core5a (>= 5.13.2+dfsg), libqt5dbus5 (>= 5.13.2+dfsg), libqt5gui5 (>= 5.13.2+dfsg), libqt5network5 (>= 5.13.2+dfsg), libqt5qml5 (>= 5.13.2), libqt5quick5 (>= 5.13.2), libqt5sql5 (>= 5.13.2+dfsg), libqt5widgets5 (>= 5.13.2+dfsg), libqt5x11extras5, libqt5xml5 (>= 5.13.2+dfsg), libsm6, libstdc++6 (>= 5.2), libtaskmanager6, libweather-ion7, libx11-6, libxcb-composite0, libxcb-damage0, libxcb-image0 (>= 0.2), libxcb-randr0, libxcb-shape0, libxcb-util1 (>= 0.4.0), libxcb1 (>= 1.6), libxfixes3, libxrender1, libxtst6, zlib1g (>= 1:1.1.4)
Recommends: kio-extras, libpam-kwallet5, plasma-workspace-wallpapers
Conflicts: kde-workspace, kde-workspace-data, klipper
Breaks: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kde-window-manager (<= 4:5), kdeartwork-style (<= 4:5), kdeartwork-theme-window (<= 4:5), kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210), kscreensaver (<= 4:5), kscreensaver-xsavers (<= 4:5), kscreensaver-xsavers-webcollage (<= 4:5), plasma-desktop (<< 4:5.16.5+p18.04+git20190920.1201~), plasma-desktop-data (<< 4:5.14.80), plasma-desktopthemes-artwork (<= 4:5)
Filename: pool/main/p/plasma-workspace/plasma-workspace_5.17.3-0xneon+18.04+bionic+build52_amd64.deb
Size: 5651568
MD5sum: 20440a45385cb70d80b3a739ec264372
SHA1: cb103a70e7216538c3f030e33b6b0fc5f382ae71
SHA256: 7c0c0d3d6ed45ab7971027d4ca45c5e2d132201c513e7c449c1ba67533e20ff1
SHA512: 78cf2afe7585819823ffe74a4165b43b4e061d475703389b0a7a021cc35d14986b851ec3c87df4bff359af0ea885f4b96926d95d4b7b71d5da6f4b919247513c
Description: Plasma Workspace for KF5
Description-md5: 0063778217dbe82d403158adbf5aa085
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace

Package: plasma-workspace
Priority: optional
Section: kde
Installed-Size: 27687
Maintainer: Neon CI <neon@kde.org>
Architecture: amd64
Version: 4:5.17.2-0xneon+18.04+bionic+build49
Replaces: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210), klipper, plasma-desktop (<< 4:5.16.5+p18.04+git20190920.1201~), plasma-desktop-data (<< 4:5.14.80), plasma-workspace-data
Provides: notification-daemon
Depends: appmenu-gtk2-module, appmenu-gtk3-module, dbus-x11, drkonqi, frameworkintegration, gdb-minimal | gdb, iso-codes, kactivitymanagerd, kde-cli-tools, kded5, kinit, kio, kwin-common, libkf5globalaccel-bin (>= 5.7.0), libkf5service-bin, milou, plasma-framework, plasma-integration, qdbus-qt5, qml-module-org-kde-draganddrop, qml-module-org-kde-extensionplugin, qml-module-org-kde-kcm, qml-module-org-kde-kcoreaddons, qml-module-org-kde-kholidays, qml-module-org-kde-kirigami2 (>= 5.54.0~), qml-module-org-kde-kquickcontrols, qml-module-org-kde-kquickcontrolsaddons, qml-module-org-kde-kwindowsystem, qml-module-org-kde-qqc2desktopstyle, qml-module-org-kde-solid, qml-module-qt-labs-folderlistmodel, qml-module-qtgraphicaleffects, qml-module-qtqml-models2, qml-module-qtquick-controls, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick-window2, qml-module-qtquick2, qtvirtualkeyboard-plugin, udisks2, x11-utils, x11-xserver-utils, xdg-desktop-portal-kde, libappstreamqt2, libc6 (>= 2.15), libcolorcorrect5, libgcc1 (>= 1:3.0), libgps23 (>= 3.3), libice6 (>= 1:1.0.0), libkf5activities5, libkf5activitiesstats1, libkf5authcore5, libkf5baloo5, libkf5bookmarks5, libkf5calendarevents5, libkf5completion5, libkf5configcore5, libkf5configgui5, libkf5configwidgets5, libkf5coreaddons5, libkf5crash5, libkf5dbusaddons5, libkf5declarative5, libkf5globalaccel5, libkf5guiaddons5, libkf5holidays5, libkf5i18n5, libkf5iconthemes5, libkf5idletime5, libkf5itemmodels5, libkf5jobwidgets5, libkf5kdelibs4support5, libkf5kiocore5, libkf5kiofilewidgets5, libkf5kiogui5, libkf5kiowidgets5, libkf5networkmanagerqt6, libkf5newstuff5, libkf5notifications5, libkf5notifyconfig5, libkf5package5, libkf5people5, libkf5peoplewidgets5, libkf5plasma5, libkf5plasmaquick5, libkf5prison5, libkf5quickaddons5, libkf5runner5, libkf5service5, libkf5solid5, libkf5texteditor5, libkf5textwidgets5, libkf5wallet5, libkf5waylandclient5, libkf5widgetsaddons5, libkf5windowsystem5, libkf5xmlgui5, libkscreenlocker5, libksgrd7, libkworkspace5-5, libnotificationmanager1, libphonon4qt5-4, libplasma-geolocation-interface5, libprocesscore7, libprocessui7, libqalculate14, libqt5core5a (>= 5.13.1+dfsg), libqt5dbus5 (>= 5.13.1+dfsg), libqt5gui5 (>= 5.13.1+dfsg), libqt5network5 (>= 5.13.1+dfsg), libqt5qml5 (>= 5.13.1), libqt5quick5 (>= 5.13.1), libqt5sql5 (>= 5.13.1+dfsg), libqt5widgets5 (>= 5.13.1+dfsg), libqt5x11extras5, libqt5xml5 (>= 5.13.1+dfsg), libsm6, libstdc++6 (>= 5.2), libtaskmanager6, libweather-ion7, libx11-6, libxcb-composite0, libxcb-damage0, libxcb-image0 (>= 0.2), libxcb-randr0, libxcb-shape0, libxcb-util1 (>= 0.4.0), libxcb1 (>= 1.6), libxfixes3, libxrender1, libxtst6, zlib1g (>= 1:1.1.4)
Recommends: kio-extras, libpam-kwallet5, plasma-workspace-wallpapers
Conflicts: kde-workspace, kde-workspace-data, klipper
Breaks: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kde-window-manager (<= 4:5), kdeartwork-style (<= 4:5), kdeartwork-theme-window (<= 4:5), kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210), kscreensaver (<= 4:5), kscreensaver-xsavers (<= 4:5), kscreensaver-xsavers-webcollage (<= 4:5), plasma-desktop (<< 4:5.16.5+p18.04+git20190920.1201~), plasma-desktop-data (<< 4:5.14.80), plasma-desktopthemes-artwork (<= 4:5)
Filename: pool/main/p/plasma-workspace/plasma-workspace_5.17.2-0xneon+18.04+bionic+build49_amd64.deb
Size: 5651192
MD5sum: 42d07a13295959b292d413f33ae35b66
SHA1: e89c095b93245847a0767a536081aa200c154bda
SHA256: 6cd832b0fd74597160c4fc450843fff62c45c923edd67ca3082a0eb67e7e22ce
SHA512: 41915d069c90702fb415edbdaa7b5bc00cc12f28c19d5c9b9e3ff403a8c3107668a44413333a01096d1b37ba4bc62c8e2af0d970b041a5b2b6c1dcf5f8203f1f
Description: Plasma Workspace for KF5
Description-md5: 0063778217dbe82d403158adbf5aa085
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace

Package: plasma-workspace
Priority: optional
Section: kde
Installed-Size: 27687
Maintainer: Neon CI <neon@kde.org>
Architecture: amd64
Version: 4:5.17.2-0xneon+18.04+bionic+build48
Replaces: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210), klipper, plasma-desktop (<< 4:5.16.5+p18.04+git20190920.1201~), plasma-desktop-data (<< 4:5.14.80), plasma-workspace-data
Provides: notification-daemon
Depends: appmenu-gtk2-module, appmenu-gtk3-module, dbus-x11, drkonqi, frameworkintegration, gdb-minimal | gdb, iso-codes, kactivitymanagerd, kde-cli-tools, kded5, kinit, kio, kwin-common, libkf5globalaccel-bin (>= 5.7.0), libkf5service-bin, milou, plasma-framework, plasma-integration, qdbus-qt5, qml-module-org-kde-draganddrop, qml-module-org-kde-extensionplugin, qml-module-org-kde-kcm, qml-module-org-kde-kcoreaddons, qml-module-org-kde-kholidays, qml-module-org-kde-kirigami2 (>= 5.54.0~), qml-module-org-kde-kquickcontrols, qml-module-org-kde-kquickcontrolsaddons, qml-module-org-kde-kwindowsystem, qml-module-org-kde-qqc2desktopstyle, qml-module-org-kde-solid, qml-module-qt-labs-folderlistmodel, qml-module-qtgraphicaleffects, qml-module-qtqml-models2, qml-module-qtquick-controls, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick-window2, qml-module-qtquick2, qtvirtualkeyboard-plugin, udisks2, x11-utils, x11-xserver-utils, xdg-desktop-portal-kde, libappstreamqt2, libc6 (>= 2.15), libcolorcorrect5, libgcc1 (>= 1:3.0), libgps23 (>= 3.3), libice6 (>= 1:1.0.0), libkf5activities5, libkf5activitiesstats1, libkf5authcore5, libkf5baloo5, libkf5bookmarks5, libkf5calendarevents5, libkf5completion5, libkf5configcore5, libkf5configgui5, libkf5configwidgets5, libkf5coreaddons5, libkf5crash5, libkf5dbusaddons5, libkf5declarative5, libkf5globalaccel5, libkf5guiaddons5, libkf5holidays5, libkf5i18n5, libkf5iconthemes5, libkf5idletime5, libkf5itemmodels5, libkf5jobwidgets5, libkf5kdelibs4support5, libkf5kiocore5, libkf5kiofilewidgets5, libkf5kiogui5, libkf5kiowidgets5, libkf5networkmanagerqt6, libkf5newstuff5, libkf5notifications5, libkf5notifyconfig5, libkf5package5, libkf5people5, libkf5peoplewidgets5, libkf5plasma5, libkf5plasmaquick5, libkf5prison5, libkf5quickaddons5, libkf5runner5, libkf5service5, libkf5solid5, libkf5texteditor5, libkf5textwidgets5, libkf5wallet5, libkf5waylandclient5, libkf5widgetsaddons5, libkf5windowsystem5, libkf5xmlgui5, libkscreenlocker5, libksgrd7, libkworkspace5-5, libnotificationmanager1, libphonon4qt5-4, libplasma-geolocation-interface5, libprocesscore7, libprocessui7, libqalculate14, libqt5core5a (>= 5.13.1+dfsg), libqt5dbus5 (>= 5.13.1+dfsg), libqt5gui5 (>= 5.13.1+dfsg), libqt5network5 (>= 5.13.1+dfsg), libqt5qml5 (>= 5.13.1), libqt5quick5 (>= 5.13.1), libqt5sql5 (>= 5.13.1+dfsg), libqt5widgets5 (>= 5.13.1+dfsg), libqt5x11extras5, libqt5xml5 (>= 5.13.1+dfsg), libsm6, libstdc++6 (>= 5.2), libtaskmanager6, libweather-ion7, libx11-6, libxcb-composite0, libxcb-damage0, libxcb-image0 (>= 0.2), libxcb-randr0, libxcb-shape0, libxcb-util1 (>= 0.4.0), libxcb1 (>= 1.6), libxfixes3, libxrender1, libxtst6, zlib1g (>= 1:1.1.4)
Recommends: kio-extras, libpam-kwallet5, plasma-workspace-wallpapers
Conflicts: kde-workspace, kde-workspace-data, klipper
Breaks: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kde-window-manager (<= 4:5), kdeartwork-style (<= 4:5), kdeartwork-theme-window (<= 4:5), kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210), kscreensaver (<= 4:5), kscreensaver-xsavers (<= 4:5), kscreensaver-xsavers-webcollage (<= 4:5), plasma-desktop (<< 4:5.16.5+p18.04+git20190920.1201~), plasma-desktop-data (<< 4:5.14.80), plasma-desktopthemes-artwork (<= 4:5)
Filename: pool/main/p/plasma-workspace/plasma-workspace_5.17.2-0xneon+18.04+bionic+build48_amd64.deb
Size: 5648580
MD5sum: 85693d290228c6135306a4d04b04885c
SHA1: b160f00d582570458924571dd5c34048da55a345
SHA256: a4c5ab10caa269e317f1589d59692dbf1be74f3f10f133411eb278789a5519b7
SHA512: 641ddd7e726741e1911cb65b37fe5346ce1e0dea9d0945fd6a9325ca92997733eb6ed49c4ba9d234357f926405494cdc77fad1a4daf307110c2af0377b69ea99
Description: Plasma Workspace for KF5
Description-md5: 0063778217dbe82d403158adbf5aa085
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace

Package: plasma-workspace
Architecture: amd64
Version: 4:5.12.9-0ubuntu0.1
Priority: optional
Section: universe/kde
Origin: Ubuntu
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 27254
Provides: notification-daemon
Depends: dbus-x11, frameworkintegration, gdb-minimal | gdb, iso-codes, kactivitymanagerd, kde-cli-tools, kded5, kinit, kio, libkf5globalaccel-bin (>= 5.7.0), libkf5service-bin, milou, plasma-framework, plasma-integration, qdbus-qt5, qml-module-org-kde-draganddrop, qml-module-org-kde-extensionplugin, qml-module-org-kde-kconfig, qml-module-org-kde-kcoreaddons, qml-module-org-kde-kquickcontrols, qml-module-org-kde-kquickcontrolsaddons, qml-module-org-kde-kwindowsystem, qml-module-org-kde-solid, qml-module-qt-labs-folderlistmodel, qml-module-qtgraphicaleffects, qml-module-qtqml-models2, qml-module-qtquick-controls, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick-window2, qml-module-qtquick2, udisks2, x11-utils, x11-xserver-utils, kpackagetool5, libappstreamqt2, libc6 (>= 2.15), libcln6, libcolorcorrect5, libgcc1 (>= 1:3.0), libgps23 (>= 3.3), libice6 (>= 1:1.0.0), libkf5activities5 (>= 4.96.0), libkf5auth5 (>= 4.96.0), libkf5baloo5 (>= 5.3.0+git20150512), libkf5bookmarks5 (>= 4.96.0), libkf5calendarevents5, libkf5completion5 (>= 4.97.0), libkf5configcore5 (>= 5.24.0), libkf5configgui5 (>= 4.97.0), libkf5configwidgets5 (>= 4.96.0), libkf5coreaddons5 (>= 5.41.0), libkf5crash5 (>= 4.96.0), libkf5dbusaddons5 (>= 4.99.0), libkf5declarative5 (>= 5.12.0), libkf5globalaccel5 (>= 5.10.0), libkf5guiaddons5 (>= 4.96.0), libkf5holidays5 (>= 15.12.0), libkf5i18n5 (>= 4.97.0), libkf5iconthemes5 (>= 5.25.0), libkf5idletime5 (>= 4.96.0), libkf5itemviews5 (>= 4.96.0), libkf5jobwidgets5 (>= 4.96.0), libkf5js5 (>= 4.96.0), libkf5jsembed5 (>= 4.96.0), libkf5kdelibs4support5 (>= 4.99.0), libkf5kiocore5 (>= 5.20.0), libkf5kiofilewidgets5 (>= 5.41.0), libkf5kiogui5, libkf5kiowidgets5 (>= 5.27.0), libkf5networkmanagerqt6 (>= 5.1.1+git20141203.0020+15.04), libkf5newstuff5 (>= 5.0.0), libkf5notifications5 (>= 5.8.0+git20150317.0114+15.04), libkf5notifyconfig5 (>= 5.18.0), libkf5package5 (>= 5.42.0), libkf5plasma5 (>= 5.41.0), libkf5plasmaquick5 (>= 5.21.0), libkf5prison5 (>= 5.25.0~), libkf5quickaddons5 (>= 5.26.0), libkf5runner5 (>= 5.24.0), libkf5service5 (>= 5.14.0), libkf5solid5 (>= 5.6.0+git20150114.0006+15.04), libkf5texteditor5, libkf5textwidgets5 (>= 5.0.0), libkf5wallet-bin, libkf5wallet5 (>= 4.96.0), libkf5waylandclient5 (>= 4:5.27.0+p16.10+git20161029.2052), libkf5widgetsaddons5 (>= 4.96.0), libkf5windowsystem5 (>= 5.25.0), libkf5xmlgui-bin, libkf5xmlgui5 (>= 4.98.0), libkscreenlocker5, libksgrd7 (>= 5.2.50+git), libkworkspace5-5 (>= 4:5.8.1), libphonon4qt5-4 (>= 4:4.8.0-5), libplasma-geolocation-interface5 (>= 4:5.8.1), libprocesscore7 (>= 4:5.3.0), libprocessui7 (>= 5.2.50+git), libqalculate6, libqt5core5a (>= 5.9.0~beta), libqt5dbus5 (>= 5.6.1~), libqt5gui5 (>= 5.7.0), libqt5network5 (>= 5.6.1~), libqt5qml5 (>= 5.0.2), libqt5quick5 (>= 5.9.0), libqt5script5 (>= 5.6.0~beta), libqt5sql5 (>= 5.6.1~), libqt5widgets5 (>= 5.6.1~), libqt5x11extras5 (>= 5.6.0), libqt5xml5 (>= 5.6.1~), libsm6, libstdc++6 (>= 5.2), libtaskmanager6 (>= 4:5.11.95), libweather-ion7 (>= 4:5.8.1), libx11-6, libxcb-composite0, libxcb-damage0, libxcb-image0 (>= 0.2), libxcb-randr0, libxcb-util1 (>= 0.4.0), libxcb1 (>= 1.6), libxfixes3, libxrender1, libxtst6, phonon4qt5, zlib1g (>= 1:1.1.4)
Recommends: drkonqi, kio-extras, libpam-kwallet5, qml-module-org-kde-kholidays, qml-module-org-kde-qqc2desktopstyle
Conflicts: kde-workspace, kde-workspace-bin, kde-workspace-data, kdeartwork-style, kdeartwork-theme-window, klipper, kscreensaver, kscreensaver-xsavers, kscreensaver-xsavers-webcollage, plasma-desktopthemes-artwork, plasma-systray-legacy
Breaks: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kde-window-manager (<= 4:5), kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210)
Replaces: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kde-workspace-bin, kde-workspace-data, kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210), klipper, plasma-systray-legacy, plasma-workspace-data
Filename: pool/universe/p/plasma-workspace/plasma-workspace_5.12.9-0ubuntu0.1_amd64.deb
Size: 5272824
MD5sum: d00266e0831501a97ceab9c28a7845b0
SHA1: 668a1d25cd33360e195249e8a915f5d7a528d083
SHA256: 5a2536613e2246f634fadcf2f08c3739f10fe558fbbd0b0064e1914ddf0e0bf2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Description: Plasma Workspace for KF5
Description-md5: 0063778217dbe82d403158adbf5aa085
Task: kubuntu-desktop, kubuntu-full
Supported: 3y

Package: plasma-workspace
Architecture: amd64
Version: 4:5.12.4-0ubuntu3
Priority: optional
Section: universe/kde
Origin: Ubuntu
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 27039
Provides: notification-daemon
Depends: dbus-x11, frameworkintegration, gdb-minimal | gdb, iso-codes, kactivitymanagerd, kde-cli-tools, kded5, kinit, kio, libkf5globalaccel-bin (>= 5.7.0), libkf5service-bin, milou, plasma-framework, plasma-integration, qdbus-qt5, qml-module-org-kde-draganddrop, qml-module-org-kde-extensionplugin, qml-module-org-kde-kconfig, qml-module-org-kde-kcoreaddons, qml-module-org-kde-kquickcontrols, qml-module-org-kde-kquickcontrolsaddons, qml-module-org-kde-kwindowsystem, qml-module-org-kde-solid, qml-module-qt-labs-folderlistmodel, qml-module-qtgraphicaleffects, qml-module-qtqml-models2, qml-module-qtquick-controls, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick-window2, qml-module-qtquick2, udisks2, x11-utils, x11-xserver-utils, kpackagetool5, libappstreamqt2, libc6 (>= 2.15), libcln6, libcolorcorrect5, libgcc1 (>= 1:3.0), libgps23 (>= 3.3), libice6 (>= 1:1.0.0), libkf5activities5 (>= 4.96.0), libkf5auth5 (>= 4.96.0), libkf5baloo5 (>= 5.3.0+git20150512), libkf5bookmarks5 (>= 4.96.0), libkf5calendarevents5, libkf5completion5 (>= 4.97.0), libkf5configcore5 (>= 5.24.0), libkf5configgui5 (>= 4.97.0), libkf5configwidgets5 (>= 4.96.0), libkf5coreaddons5 (>= 5.41.0), libkf5crash5 (>= 4.96.0), libkf5dbusaddons5 (>= 4.99.0), libkf5declarative5 (>= 5.12.0), libkf5globalaccel5 (>= 5.10.0), libkf5guiaddons5 (>= 4.96.0), libkf5holidays5 (>= 15.12.0), libkf5i18n5 (>= 4.97.0), libkf5iconthemes5 (>= 5.25.0), libkf5idletime5 (>= 4.96.0), libkf5itemviews5 (>= 4.96.0), libkf5jobwidgets5 (>= 4.96.0), libkf5js5 (>= 4.96.0), libkf5jsembed5 (>= 4.96.0), libkf5kdelibs4support5 (>= 4.99.0), libkf5kiocore5 (>= 5.20.0), libkf5kiofilewidgets5 (>= 4.96.0), libkf5kiogui5, libkf5kiowidgets5 (>= 5.27.0), libkf5networkmanagerqt6 (>= 5.1.1+git20141203.0020+15.04), libkf5newstuff5 (>= 5.0.0), libkf5notifications5 (>= 5.8.0+git20150317.0114+15.04), libkf5notifyconfig5 (>= 5.18.0), libkf5package5 (>= 5.42.0), libkf5plasma5 (>= 5.41.0), libkf5plasmaquick5 (>= 5.21.0), libkf5prison5 (>= 5.25.0~), libkf5quickaddons5 (>= 5.26.0), libkf5runner5 (>= 5.24.0), libkf5service5 (>= 5.14.0), libkf5solid5 (>= 5.6.0+git20150114.0006+15.04), libkf5texteditor5, libkf5textwidgets5 (>= 5.0.0), libkf5wallet-bin, libkf5wallet5 (>= 4.96.0), libkf5waylandclient5 (>= 4:5.27.0+p16.10+git20161029.2052), libkf5widgetsaddons5 (>= 4.96.0), libkf5windowsystem5 (>= 5.25.0), libkf5xmlgui-bin, libkf5xmlgui5 (>= 4.98.0), libkscreenlocker5, libksgrd7 (>= 5.2.50+git), libkworkspace5-5 (>= 4:5.8.1), libphonon4qt5-4 (>= 4:4.8.0-5), libplasma-geolocation-interface5 (>= 4:5.8.1), libprocesscore7 (>= 4:5.3.0), libprocessui7 (>= 5.2.50+git), libqalculate6, libqt5core5a (>= 5.9.0~beta), libqt5dbus5 (>= 5.6.1~), libqt5gui5 (>= 5.7.0), libqt5network5 (>= 5.6.1~), libqt5qml5 (>= 5.0.2), libqt5quick5 (>= 5.9.0), libqt5script5 (>= 5.6.0~beta), libqt5sql5 (>= 5.6.1~), libqt5widgets5 (>= 5.6.1~), libqt5x11extras5 (>= 5.6.0), libqt5xml5 (>= 5.6.1~), libsm6, libstdc++6 (>= 5.2), libtaskmanager6 (>= 4:5.11.95), libweather-ion7 (>= 4:5.8.1), libx11-6, libxcb-composite0, libxcb-damage0, libxcb-image0 (>= 0.2), libxcb-randr0, libxcb-util1 (>= 0.4.0), libxcb1 (>= 1.6), libxfixes3, libxrender1, libxtst6, phonon4qt5, zlib1g (>= 1:1.1.4)
Recommends: drkonqi, kio-extras, libpam-kwallet5, qml-module-org-kde-kholidays, qml-module-org-kde-qqc2desktopstyle
Conflicts: kde-workspace, kde-workspace-bin, kde-workspace-data, kdeartwork-style, kdeartwork-theme-window, klipper, kscreensaver, kscreensaver-xsavers, kscreensaver-xsavers-webcollage, plasma-desktopthemes-artwork, plasma-systray-legacy
Breaks: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kde-window-manager (<= 4:5), kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210)
Replaces: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kde-workspace-bin, kde-workspace-data, kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210), klipper, plasma-systray-legacy, plasma-workspace-data
Filename: pool/universe/p/plasma-workspace/plasma-workspace_5.12.4-0ubuntu3_amd64.deb
Size: 5227408
MD5sum: 5e8d7439e6c118fd44bfb153a2e7fee7
SHA1: 8d9e882ecae10551c0847130de47dcf9689e528f
SHA256: a8657b0616a3f08bb6e84e620710a5b36cfdd7cff14f789aaf98faf5758f4d07
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Description: Plasma Workspace for KF5
Description-md5: 0063778217dbe82d403158adbf5aa085
Task: kubuntu-desktop, kubuntu-full
Supported: 3y
Comment 6 Nate Graham 2019-12-15 16:56:53 UTC
Thanks! I've verified that the issue is still present in Neon user edition and Testing edition with the latest packages.

Intriguingly I cannot reproduce this on my own machine with everything from git master.
Comment 7 Achim Bohnet 2019-12-15 21:54:52 UTC
apt show that only shows the last version (that is active) should be enough:

$ apt show plasma-workspace
Package: plasma-workspace
Version: 4:5.17.4-0xneon+18.04+bionic+build53
Priority: optional
Section: kde
Maintainer: Neon CI <neon@kde.org>
Installed-Size: 28,4 MB
Provides: notification-daemon
Depends: appmenu-gtk2-module, appmenu-gtk3-module, dbus-x11, drkonqi, frameworkintegration, gdb-minimal | gdb, iso-codes, kactivitymanagerd, kde-cli-tools, kded5, kinit, kio, kwin-common, libkf5globalaccel-bin (>= 5.7.0), libkf5service-bin, milou, plasma-framework, plasma-integration, qdbus-qt5, qml-module-org-kde-draganddrop, qml-module-org-kde-extensionplugin, qml-module-org-kde-kcm, qml-module-org-kde-kcoreaddons, qml-module-org-kde-kholidays, qml-module-org-kde-kirigami2 (>= 5.54.0~), qml-module-org-kde-kquickcontrols, qml-module-org-kde-kquickcontrolsaddons, qml-module-org-kde-kwindowsystem, qml-module-org-kde-qqc2desktopstyle, qml-module-org-kde-solid, qml-module-qt-labs-folderlistmodel, qml-module-qtgraphicaleffects, qml-module-qtqml-models2, qml-module-qtquick-controls, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick-window2, qml-module-qtquick2, qtvirtualkeyboard-plugin, udisks2, x11-utils, x11-xserver-utils, xdg-desktop-portal-kde, libappstreamqt2, libc6 (>= 2.15), libcolorcorrect5, libgcc1 (>= 1:3.0), libgps23 (>= 3.3), libice6 (>= 1:1.0.0), libkf5activities5, libkf5activitiesstats1, libkf5authcore5, libkf5baloo5, libkf5bookmarks5, libkf5calendarevents5, libkf5completion5, libkf5configcore5, libkf5configgui5, libkf5configwidgets5, libkf5coreaddons5, libkf5crash5, libkf5dbusaddons5, libkf5declarative5, libkf5globalaccel5, libkf5guiaddons5, libkf5holidays5, libkf5i18n5, libkf5iconthemes5, libkf5idletime5, libkf5itemmodels5, libkf5jobwidgets5, libkf5kdelibs4support5, libkf5kiocore5, libkf5kiofilewidgets5, libkf5kiogui5, libkf5kiowidgets5, libkf5networkmanagerqt6, libkf5newstuff5, libkf5notifications5, libkf5notifyconfig5, libkf5package5, libkf5people5, libkf5peoplewidgets5, libkf5plasma5, libkf5plasmaquick5, libkf5prison5, libkf5quickaddons5, libkf5runner5, libkf5service5, libkf5solid5, libkf5texteditor5, libkf5textwidgets5, libkf5wallet5, libkf5waylandclient5, libkf5widgetsaddons5, libkf5windowsystem5, libkf5xmlgui5, libkscreenlocker5, libksgrd7, libkworkspace5-5, libnotificationmanager1, libphonon4qt5-4, libplasma-geolocation-interface5, libprocesscore7, libprocessui7, libqalculate14, libqt5core5a (>= 5.13.2+dfsg), libqt5dbus5 (>= 5.13.2+dfsg), libqt5gui5 (>= 5.13.2+dfsg), libqt5network5 (>= 5.13.2+dfsg), libqt5qml5 (>= 5.13.2), libqt5quick5 (>= 5.13.2), libqt5sql5 (>= 5.13.2+dfsg), libqt5widgets5 (>= 5.13.2+dfsg), libqt5x11extras5, libqt5xml5 (>= 5.13.2+dfsg), libsm6, libstdc++6 (>= 5.2), libtaskmanager6, libweather-ion7, libx11-6, libxcb-composite0, libxcb-damage0, libxcb-image0 (>= 0.2), libxcb-randr0, libxcb-shape0, libxcb-util1 (>= 0.4.0), libxcb1 (>= 1.6), libxfixes3, libxrender1, libxtst6, zlib1g (>= 1:1.1.4)
Recommends: kio-extras, libpam-kwallet5, plasma-workspace-wallpapers
Conflicts: kde-workspace, kde-workspace-data, klipper
Breaks: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kde-window-manager (<= 4:5), kdeartwork-style (<= 4:5), kdeartwork-theme-window (<= 4:5), kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210), kscreensaver (<= 4:5), kscreensaver-xsavers (<= 4:5), kscreensaver-xsavers-webcollage (<= 4:5), plasma-desktop (<< 4:5.16.5+p18.04+git20190920.1201~), plasma-desktop-data (<< 4:5.14.80), plasma-desktopthemes-artwork (<= 4:5)
Replaces: kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-ast (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-cavalencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2), kio-extras (<< 4:5.3.2+git20150710.0210), kio-extras-data (<< 4:5.3.2+git20150710.0210), klipper, plasma-desktop (<< 4:5.16.5+p18.04+git20190920.1201~), plasma-desktop-data (<< 4:5.14.80), plasma-workspace-data
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Download-Size: 5.651 kB
APT-Manual-Installed: no
APT-Sources: http://archive.neon.kde.org/user bionic/main amd64 Packages
Comment 8 ezionian 2019-12-16 05:25:37 UTC
*** Bug 415226 has been marked as a duplicate of this bug. ***
Comment 9 Patrick Silva 2019-12-18 20:41:43 UTC
*** Bug 415329 has been marked as a duplicate of this bug. ***
Comment 10 Nate Graham 2020-01-01 23:10:03 UTC
*** Bug 415328 has been marked as a duplicate of this bug. ***
Comment 11 Nate Graham 2020-01-01 23:10:32 UTC
*** Bug 415361 has been marked as a duplicate of this bug. ***
Comment 12 Christoph Feck 2020-01-09 10:20:58 UTC
*** Bug 415226 has been marked as a duplicate of this bug. ***
Comment 13 Laosom 2020-01-16 11:49:53 UTC
Not fixed in 5.17.5 ?

No RCA found ?
Comment 14 Nate Graham 2020-01-16 19:28:34 UTC
Current theory is that it's actually some kind of regression in Qt 5.13.2. I notice that all reports are from distros using Qt 5.13.2, but nobody using Qt 5.13.1 or 5.14.x can reproduce it.

I'm using Qt 5.13.1 on openSUSE Tumbleweed and cannot reproduce the issue.
Comment 15 Nate Graham 2020-01-17 20:36:32 UTC
*** Bug 416373 has been marked as a duplicate of this bug. ***
Comment 16 Nate Graham 2020-01-22 15:12:14 UTC
*** Bug 414875 has been marked as a duplicate of this bug. ***
Comment 17 Nate Graham 2020-01-22 15:12:24 UTC
*** Bug 414926 has been marked as a duplicate of this bug. ***
Comment 18 Nate Graham 2020-01-23 01:55:49 UTC
*** Bug 415098 has been marked as a duplicate of this bug. ***
Comment 19 Konrad Materka 2020-01-23 15:46:20 UTC
The same for me. It might be a Qt regression, I have 5.13.2.

Operating System: KDE neon 5.17
KDE Plasma Version: 5.17.5
KDE Frameworks Version: 5.66.0
Qt Version: 5.13.2
Kernel Version: 5.3.0-26-generic
OS Type: 64-bit
Comment 20 Nate Graham 2020-01-23 15:47:42 UTC
Yep. Every single report so far has come from Neon with Qt 5.13.2.

If anyone has a custom Qt on Neon or can compile one and test with that, it would be very helpful.
Comment 21 WojtasJD 2020-01-28 04:41:57 UTC
KDE Neon User 5.17 (Plasma: 5.17.5 | Frameworks: 5.66.0 | Qt: 5.13.2)

$ qmake -v
QMake version 3.1
Using Qt version 5.13.2 in /usr/lib/x86_64-linux-gnu

-> System is running -> Lock screen or Log out and then put your password and click with mouse left button in the password field -> left <Enter> is NOT "working" but numeric/right <Enter> is working.

and now weird thing:
Solus 4.1 with Plasma (Plasma: 5.17.5 | Frameworks: 5.66.0 | Qt: 5.13.2)
I cannot reproduce this bug here... (but reported Qt version is the same as in Neon)

$ sudo eopkg install qt5-base-devel
$ qmake -v
QMake version 3.1
Using Qt version 5.13.2 in /usr/lib64
Comment 22 Konrad Materka 2020-01-28 12:16:58 UTC
(In reply to WojtasJD from comment #21)
> KDE Neon User 5.17 (Plasma: 5.17.5 | Frameworks: 5.66.0 | Qt: 5.13.2)
> and now weird thing:
> Solus 4.1 with Plasma (Plasma: 5.17.5 | Frameworks: 5.66.0 | Qt: 5.13.2)
> I cannot reproduce this bug here... (but reported Qt version is the same as
> in Neon)
Interesting. Maybe it is using different SDDM theme?
Comment 23 Laosom 2020-01-29 19:08:57 UTC
Only Numpad enter works in Neon I confirm :)))
Comment 24 Pyroman 2020-02-01 19:47:40 UTC
I have this issue in Neon too.
https://pastebin.com/Bn5u06WZ
Comment 25 pruje 2020-02-11 18:04:46 UTC
Hi guys

I have the same bug for a while, and it's still there now on KDE neon 5.18 (freshly updated).
Let me add that the arrows keys on the keyboard doesn't work.
I can reproduce this bug every time on my 2 computers, one with nvidia GPU and the other with intel graphics.
I'm using the default SDDM breeze theme (0.1).

KDE neon 5.18
KDE Frameworks 5.67.0
Qt 5.13.2
Kernel 5.3.0-28-generic
64 bits
Comment 26 Nate Graham 2020-02-11 21:27:15 UTC
If all of your machines are either Neon, or are otherwise running Qt 5.13.2, then that makes sense, since we think this was a Qt 5.13.2 regression.
Comment 27 Alexander 2020-02-11 21:45:29 UTC
Does it mean, that this will be another LTS bug similar to https://bugs.kde.org/show_bug.cgi?id=393630 ?
Comment 28 WojtasJD 2020-02-12 03:39:48 UTC
(In reply to Konrad Materka from comment #22)
> Interesting. Maybe it is using different SDDM theme?
Breeze (0.1)

another example
Feren OS 2020.01 (Plasma: 5.17.5 | Frameworks: 5.66.0 | Qt: 5.13.2) - this distro has LightDM instead of SDDM but also suffers from this bug after locking screen (you can wait... or manually with default combo <SuperKey> + <L> or from Konsole: "loginctl lock-session")


(In reply to Nate Graham from comment #26)
> If all of your machines are either Neon, or are otherwise running Qt 5.13.2,
> then that makes sense, since we think this was a Qt 5.13.2 regression.

Solus 4.1 with Plasma (Plasma: 5.17.5 | Frameworks: 5.66.0 | Qt: 5.13.2) - there is no bug here
I can dig but what to look for?
Comment 29 Nate Graham 2020-02-12 22:23:47 UTC
*** Bug 417482 has been marked as a duplicate of this bug. ***
Comment 30 Patrick Silva 2020-02-16 23:16:13 UTC
This bug persists on Neon unstable after update to Qt 5.14.1.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.18.80
KDE Frameworks Version: 5.68.0
Qt Version: 5.14.1
Comment 31 Nate Graham 2020-02-16 23:19:46 UTC
NooOOoOoOOoOoOooooooooooooooooooooo
Comment 32 Harald Sitter 2020-02-17 01:56:21 UTC
Something in qtvirtualkeyboard meddles with the active focus, quite possibly via a timer, that's just a guess though because I saw some timers causing QQuickWindowPrivate::setFocusInScope calls. 

> sudo rm /usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libqtvirtualkeyboardplugin.so

temporarily bricks QVKB and in turn unbreaks the focus management. So, the culprit is definitely there, question is just where exactly. There seems to be a whole bunch of indiscriminate focus and keyboard hijacking going on inside platforminputcontext.cpp at least.

Lastly, seeing as all reports continue to be neon-derived one has to wonder if a patch is the cause or if other distributions just don't package QVKB plugins to the extend we'd need for a working integration. At a glance I didn't find a patch causing it in QVKB at least, still could be anywhere else between there, qquick,declarative,gui and core though :S
It'd be good if someone could actually verify if QVKB on other distros works to the expected extended and if that still has working focus management. If that is the case then it almost must be a patch that's the root cause.
Comment 33 popov895 2020-02-17 15:03:20 UTC
Herald is right. My workaround to this problem is to create a file /etc/sddm.conf.d/99-settings.conf with this content
>[General]
>InputMethod=

This disables the virtual keyboard for SDDM. Also you can try to update SDDM to a newer version, but I haven't tried it.
Comment 34 Harald Sitter 2020-02-17 15:19:41 UTC
This doesn't have anything to do with sddm specifically.
Comment 35 popov895 2020-02-18 14:37:00 UTC
I meant that if you disable the virtual keyboard, then the Enter key starts working correctly, so the problem is exactly with the virtual keyboard.

I have openSUSE Tumbleweed installed on VirtualBox, where SDDM has version 1.18.0 (current Neon has 1.17.0) and the Breeze theme works correctly. I compared Breeze theme on Neon and openSUSE (as I understand, the theme is just a collection of qml files, images and scripts), and I didn't find any differences that could affect the behavior of Enter key. Therefore, I guess that something may have been fixed in SDDM or in the virtual keyboard itself.
Comment 37 popov895 2020-02-25 08:25:51 UTC
Wow, the qt-virtualkeyboard plugin has just been updated and the problem no longer appears
Comment 38 David Edmundson 2020-02-25 10:07:19 UTC
So we can close this?
Comment 39 Jeffrey Bouter 2020-02-25 10:31:06 UTC
(In reply to David Edmundson from comment #38)
> So we can close this?

Can confirm that the update of the qt-virtualkeyboard package has resolved this issue for me on KDE Neon plasma 5.18.1
Comment 40 Alexander 2020-02-25 15:00:23 UTC
Can confirm that I cannot reproduce the bug after I got these updates: 

- libqt5virtualkeyboard5-5.14.1+dfsg-0xneon+18.04+bionic+build37.amd64
- qml-module-qtquick-virtualkeyboard-5.14.1+dfsg-0xneon+18.04+bionic+build37.amd64
- qtvirtualkeyboard-plugin-5.14.1+dfsg-0xneon+18.04+bionic+build37.amd64
Comment 41 Patrick Silva 2020-02-25 15:57:14 UTC
Also fixed on Neon unstable edition. :)
Comment 42 Nate Graham 2020-02-25 15:58:47 UTC
Phew!
Comment 43 Achim Bohnet 2020-02-26 12:30:35 UTC
Fixed on 2 systems after the neon user plasma 5.18.2 update today.

libqt5virtualkeyboard5:amd64  (build35 -> bug)  (build37 -> fixed)